Bug 11346 - 6.2 FTP Install **very** slow when reading packages
6.2 FTP Install **very** slow when reading packages
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
6.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael Fulbright
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-05-10 12:09 EDT by Terry Fryar
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-12 10:48:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Terry Fryar 2000-05-10 12:09:23 EDT
Using RH6.2 (Zoot) and FTP install, it is **very** slow when reading the
package list!  I have noticed in the FTP log, the installer is using a new
FTP session every 7 seconds!  Also, my FTP server shows it is serving the
RH installer about 400 bytes every 5 seconds or so.

At this rate, it will take a week to install RH!!!  My FTP server works
fine for all other uses, so I suspect something is wrong in the installer!

BTW: this is a brand new install....NOT an upgrade!
Comment 1 Terry Fryar 2000-05-11 11:45:59 EDT
BTW:  I don't think this is a resource or swap problem.  I have had the ftp
problem on the following machines with ver 6.1 and 6.2:

- IBM ThinkPad 1480, 466 Mhz with 192MB memory
- ALR Server, 200Mhz with 148MB memory
- GW2K Desktop, 75Mhz with 32MB memory

They have had different NIC's and plenty of resources.  I don't ever recall
having this FTP problem before ver 6.x.  Also, I started an install yesterday,
and it is still running on the "reading packages" part of the install.  The FTP
server is still giving the PC about 500 bytes every 5 seconds or so....could it
be the FTP server?  Even though it seems to work fine for regular FTP clients, I
am starting to wonder....
Comment 2 Terry Fryar 2000-05-11 14:59:59 EDT
I found the problem!  I switched to another FTP server and it works fine.
I tried a linux box, and even a WinNT Workstation FTP server, and they both
worked fine.

The FTP server I was having problems with was WinNT Server 4.0 SP5.  It is a big
box, with multiple procs and plenty of memory.  I don't know if this was a
problem specific to this box, or a problem with NT.

Might be a good idea to try and replicate, just to see if there is a bug in NT's
FTP server.  If I have time, I will try to replicate it here.

Dang!  MS strikes again!

Note You need to log in before you can comment on or make changes to this bug.